CRAN Package Check Results for Package rgrass7

Last updated on 2021-06-18 22:54:42 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.2-5 5.10 44.36 49.46 OK
r-devel-linux-x86_64-debian-gcc 0.2-5 4.39 34.02 38.41 OK
r-devel-linux-x86_64-fedora-clang 0.2-5 67.34 OK
r-devel-linux-x86_64-fedora-gcc 0.2-5 58.86 OK
r-devel-windows-x86_64 0.2-5 8.00 59.00 67.00 OK
r-devel-windows-x86_64-gcc10-UCRT 0.2-5 ERROR
r-patched-linux-x86_64 0.2-5 4.97 42.09 47.06 OK
r-patched-solaris-x86 0.2-5 85.00 OK
r-release-linux-x86_64 0.2-5 4.65 42.52 47.17 OK
r-release-macos-arm64 0.2-5 ERROR
r-release-macos-x86_64 0.2-5 OK
r-release-windows-ix86+x86_64 0.2-5 10.00 60.00 70.00 OK
r-oldrel-macos-x86_64 0.2-5 OK
r-oldrel-windows-ix86+x86_64 0.2-5 8.00 54.00 62.00 OK

Check Details

Version: 0.2-5
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking: 'sf', 'stars'
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 0.2-5
Check: examples
Result: ERROR
    Running examples in 'rgrass7-Ex.R' failed
    The error most likely occurred in:
    
    > ### Name: readVECT
    > ### Title: Read and write GRASS 7 vector object files
    > ### Aliases: readVECT writeVECT vInfo vColumns vDataCount vect2neigh
    > ### Keywords: spatial
    >
    > ### ** Examples
    >
    > use_sp()
    > run <- FALSE
    > if (nchar(Sys.getenv("GISRC")) > 0 &&
    + read.dcf(Sys.getenv("GISRC"))[1,"LOCATION_NAME"] == "nc_basic_spm_grass7") run <- TRUE
    > GV <- Sys.getenv("GRASS_VERBOSE")
    > Sys.setenv("GRASS_VERBOSE"=0)
    > # require(rgdal)
    > ois <- get.ignore.stderrOption()
    > set.ignore.stderrOption(TRUE)
    [1] FALSE
    > if (run) {
    + execGRASS("v.info", map="schools", layer="1")
    + }
    > if (run) {
    + print(vInfo("schools"))
    + schs <- readVECT("schools", plugin=NULL)
    + print(summary(schs))
    + }
    > if (run) {
    + schs1 <- readVECT("schools", plugin=FALSE)
    + print(summary(schs1))
    + }
    > if (run) {
    + writeVECT(schs, "newsch", v.in.ogr_flags=c("o", "overwrite"))
    + execGRASS("v.info", map="newsch", layer="1")
    + }
    > if (run) {
    + nschs <- readVECT("newsch")
    + print(summary(nschs))
    + }
    > if (run) {
    + print(all.equal(names(nschs), as.character(vColumns("newsch")[,2])))
    + }
    > if (run) {
    + names(nschs) <- paste("ABCDEFGHIJKLMNO", names(nschs), sep="")
    + writeVECT(nschs, "newsch1", v.in.ogr_flags=c("o", "overwrite"))
    + }
    > if (run) {
    + print(all.equal(names(nschs), as.character(vColumns("newsch1")[-1,2])))
    + }
    > if (run) {
    + nschs1 <- readVECT("newsch1")
    + print(all.equal(names(nschs), names(nschs1)[-1]))
    + }
    > if (run) {
    + print(summary(nschs1))
    + }
    > if (run) {
    + schs <- readVECT("schools", driver="ESRI Shapefile")
    + names(schs) <- paste("ABCDEFGHIJKLMNO", names(schs), sep="")
    + writeVECT(schs, "newsch", v.in.ogr_flags=c("o", "overwrite"),
    + driver="ESRI Shapefile")
    + print(all.equal(names(schs), as.character(vColumns("newsch")[-1,2])))
    + }
    > if (run) {
    + nschs <- readVECT("newsch", driver="ESRI Shapefile")
    + all.equal(names(schs), names(nschs)[-1])
    + }
    > if (run) {
    + print(vInfo("roadsmajor"))
    + }
    > if (run) {
    + roads <- readVECT("roadsmajor")
    + print(summary(roads))
    + }
    > if (run) {
    + cen_neig <- vect2neigh("census")
    + str(cen_neig)
    + }
    > use_sf()
    Error in use_sf() :
     sf or stars is not available. You need both packages installed.
    Execution halted
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 0.2-5
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking: 'rgdal', 'sf', 'stars'
Flavor: r-release-macos-arm64

Version: 0.2-5
Check: examples
Result: ERROR
    Running examples in ‘rgrass7-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: gmeta
    > ### Title: Reads GRASS metadata from the current LOCATION
    > ### Aliases: gmeta getLocationProj gmeta2grd print.gmeta
    > ### get.ignore.stderrOption get.stop_on_no_flags_parasOption
    > ### get.useGDALOption get.pluginOption get.echoCmdOption
    > ### get.useInternOption get.legacyExecOption get.defaultFlagsOption
    > ### get.suppressEchoCmdInFuncOption set.ignore.stderrOption
    > ### set.stop_on_no_flags_parasOption set.useGDALOption set.pluginOption
    > ### set.echoCmdOption set.useInternOption set.legacyExecOption
    > ### set.defaultFlagsOption set.suppressEchoCmdInFuncOption use_sf use_sp
    > ### Keywords: spatial
    >
    > ### ** Examples
    >
    > use_sp()
    Error in use_sp() :
     sp or rgdal is not available. You need both packages installed.
    Execution halted
Flavor: r-release-macos-arm64